Bug 719889 - [abrt] Zim-0.52-1.fc14: pageview.py:1808:_paste_clipboard:TypeError: mark should be a GtkTextMark
[abrt] Zim-0.52-1.fc14: pageview.py:1808:_paste_clipboard:TypeError: mark sho...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Zim (Show other bugs)
14
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Robin Lee
Fedora Extras Quality Assurance
abrt_hash:5ec3d3fc
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-08 06:05 EDT by Niranjan Mallapadi Raghavender
Modified: 2011-09-28 21:35 EDT (History)
3 users (show)

See Also:
Fixed In Version: Zim-0.53-1.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-28 21:35:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (587 bytes, text/plain)
2011-07-08 06:06 EDT, Niranjan Mallapadi Raghavender
no flags Details

  None (edit)
Description Niranjan Mallapadi Raghavender 2011-07-08 06:05:57 EDT
abrt version: 1.1.18
architecture: x86_64
cmdline: /usr/bin/python /usr/bin/zim
component: Zim
executable: /usr/bin/zim
kernel: 2.6.35.13-92.fc14.x86_64
package: Zim-0.52-1.fc14
reason: pageview.py:1808:_paste_clipboard:TypeError: mark should be a GtkTextMark
release: Fedora release 14 (Laughlin)
time: 1310119124
uid: 500

backtrace
-----
pageview.py:1808:_paste_clipboard:TypeError: mark should be a GtkTextMark

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/zim/gui/clipboard.py", line 315, in request_parsetree_data
    callback(tree)
  File "/usr/lib/python2.7/site-packages/zim/gui/pageview.py", line 1808, in _paste_clipboard
    iter = self.get_iter_at_mark(mark)
TypeError: mark should be a GtkTextMark

Local variables in innermost frame:
parsetree: <zim.formats.ParseTree object at 0x2ba0550>
self: <TextBuffer object at 0x2baf230 (zim+gui+pageview+TextBuffer at 0x29a6a10)>
mark: None

How to reproduce
-----
1.was updating a page in zim and crash happened
2.
3.
Comment 1 Niranjan Mallapadi Raghavender 2011-07-08 06:06:03 EDT
Created attachment 511890 [details]
File: backtrace
Comment 2 Fedora Update System 2011-09-20 01:28:25 EDT
Zim-0.53-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/Zim-0.53-1.fc14
Comment 3 Fedora Update System 2011-09-20 19:57:26 EDT
Package Zim-0.53-1.fc14:
* should fix your issue,
* was pushed to the Fedora 14 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing Zim-0.53-1.fc14'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/Zim-0.53-1.fc14
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2011-09-28 21:34:53 EDT
Zim-0.53-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.